import { EventEmitter } from '@angular/core';
import { WorkflowObjectType } from '../models/types';
import * as i0 from "@angular/core";
interface ToolbarItem {
    id: WorkflowObjectType;
    label: string;
    icon: string;
}
export declare class WFToolbarComponent {
    selectedTool: WorkflowObjectType | null;
    toolSelected: EventEmitter<WorkflowObjectType | null>;
    toolbarItems: ToolbarItem[];
    onToolSelect(toolId: WorkflowObjectType): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WFToolbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WFToolbarComponent, "wf-toolbar", never, { "selectedTool": { "alias": "selectedTool"; "required": false; }; }, { "toolSelected": "toolSelected"; }, never, never, true, never>;
}
export {};
