import { Workflow } from '../../models/Workflow';
import { BaseDataViewComponent } from '../../shared/components/base-data-view.component';
import { DataViewConfig } from '../../shared/models/DataViewConfig';
import { CardData } from 'verben-ng-ui';
import * as i0 from "@angular/core";
export declare class WfComponent extends BaseDataViewComponent<Workflow> {
    config: DataViewConfig<Workflow>;
    protected getCardDataByIdentifier(code: string): CardData | undefined;
    onViewChange(isGridView: boolean): void;
    onStateChange(event: {
        key: string;
        value: boolean;
    }): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WfComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WfComponent, "lib-wf", never, {}, {}, never, never, false, never>;
}
