import { SearchOperator } from './SearchOperator';
import { SearchPropertySign } from './SearchPropertySign';
import { SearchPropertyValueType } from './SearchPropertyValueType';
import { SortDirection } from './SortDirection';
export interface SearchPropertyValue {
    PropertyName: string;
    EntityValue: string;
    Type?: SearchPropertyValueType;
    Operator: SearchOperator;
    Sign: SearchPropertySign;
    Sort?: SortDirection;
}
