import { Actor } from './Actor';
import { BaseModel } from './base';
import { Form } from './Form';
import { TaskStatus } from './TaskStatus';
import { WorkflowStage } from './WorkflowStage';
export interface Task extends BaseModel {
    Name: string;
    Description?: string;
    WorkflowCode?: string;
    WorkflowOperation?: string;
    CurrentStages: string[];
    PassOnRule?: string;
    Flowable: string;
    Status: TaskStatus;
    CurrentActors: Actor[];
    Followers: Actor[];
    ParentTask?: string;
    FlowableData?: null;
    TaskForms?: Form[];
    FullStages?: WorkflowStage[];
}
