import { BaseModel } from './base';
import { Form } from './Form';
import { Status } from './status';
import { SwimLane } from './SwimLane';
import { TaskAssignmentType } from './TaskAssignmentType';
import { WorkflowAction } from './WorkflowAction';
import { WorkflowStage } from './WorkflowStage';
export interface Workflow extends BaseModel {
    Name: string;
    Description: string;
    StageEntryRule: string;
    Form?: Form['Id'];
    FormName?: string;
    AssignmentType: TaskAssignmentType;
    Operation?: string;
    Status: Status;
    Actions: WorkflowAction[];
    Lanes: SwimLane[];
    Stages: WorkflowStage[];
}
