import { BaseModel } from './base';
export interface WorkflowAction extends BaseModel {
    Workflow: string;
    Name: string;
    FromStage: string;
    ToStage: string;
    IsParallel: boolean;
    PassOnRule?: string;
    SourcePointType?: 'top' | 'right' | 'bottom' | 'left';
    TargetPointType?: 'top' | 'right' | 'bottom' | 'left';
}
