import { OperationType } from "./operation-type";
export interface TimelineEvent {
    Date: string;
    Time?: string;
    Operation: OperationType;
    Details: {
        FilledBy?: string;
        From?: string;
        To?: string;
        Description?: string;
    };
    Actions?: {
        Label: string;
        Type: string;
        Action: string;
    }[];
}
