import { InjectionToken } from '@angular/core';
import * as i0 from "@angular/core";
export declare const ENVIRONMENT: InjectionToken<Environment>;
export interface Environment {
    production: boolean;
    ReportingAPI: string;
    MessagingAPI: string;
    WorkFlowAPI: string;
    AuthAPI: string;
    APIKey: string;
    Secret: string;
}
export declare class EnvironmentService {
    private env;
    constructor(env: Environment);
    get environment(): Environment;
    static ɵfac: i0.ɵɵFactoryDeclaration<EnvironmentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EnvironmentService>;
}
