import { CardData, ColumnDefinition, IDataFilter } from 'verben-ng-ui';
export interface DataViewConfig<T> {
    dataSource: T[];
    columns: ColumnDefinition<T>[];
    cardDataMapper: (item: T) => CardData;
    filterOptions?: IDataFilter[];
    sortOptions?: IDataFilter[];
    onDetailView?: (item: T) => void;
    onApprove?: (item: T) => void;
    onDelete?: (item: T) => void;
}
