import { WorkflowObject, WorkflowMetadata } from '../models/types';
import { Workflow } from '../../../models/Workflow';
import { ConnectionService } from './connection.service';
import * as i0 from "@angular/core";
export declare class WorkflowMapperService {
    private connectionService;
    constructor(connectionService: ConnectionService);
    toBackendWorkflow(objects: WorkflowObject[], workflowMetadata: WorkflowMetadata): Workflow;
    private generateCode;
    private findSwimlaneForStage;
    private generateStageEntryRule;
    private toBackendSwimlane;
    private toBackendStage;
    private toBackendAction;
    toFrontendObjects(workflow: Workflow): {
        objects: WorkflowObject[];
        metadata: WorkflowMetadata;
    };
    private createStartNode;
    private toFrontendSwimlane;
    private toFrontendStage;
    private createConnections;
    private createConnection;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkflowMapperService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WorkflowMapperService>;
}
