import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
interface Stage {
    Name: string;
    Count: number;
    Description: string;
    Duration: number;
    Rule: string;
    Tag: string;
}
export declare class StageDetailsComponent {
    RulesOptions: string[];
    TagsOptions: string[];
    isModalVisible: boolean;
    stageDetail: Stage;
    modalVisibilityChange: EventEmitter<boolean>;
    onModalOpen(eventData: any): void;
    onModalClose(eventData: any): void;
    convertToInt(value: any, data: any, prop: string): void;
    getStringValue(data: any, prop: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<StageDetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StageDetailsComponent, "lib-stage-details", never, { "RulesOptions": { "alias": "RulesOptions"; "required": false; }; "TagsOptions": { "alias": "TagsOptions"; "required": false; }; "isModalVisible": { "alias": "isModalVisible"; "required": false; }; "stageDetail": { "alias": "stageDetail"; "required": false; }; }, { "modalVisibilityChange": "modalVisibilityChange"; }, never, never, false, never>;
}
export {};
