import { EventEmitter } from '@angular/core';
import { WorkflowDesignerState } from '../workflow-designer.state';
import * as i0 from "@angular/core";
interface ConnectionCondition {
    connectionId: string;
    sourceNodeId: string;
    targetNodeId: string;
    targetNodeName: string;
    condition: string;
    isActive: boolean;
}
export declare class ConditionsPopupComponent {
    private state;
    visible: boolean;
    decisionNodeId: string;
    newConnectionId: string;
    popupX: number;
    popupY: number;
    closed: EventEmitter<any>;
    saved: EventEmitter<{
        connectionId: string;
        condition: string;
    }>;
    connectionConditions: ConnectionCondition[];
    currentCondition: string;
    constructor(state: WorkflowDesignerState);
    ngOnInit(): void;
    loadConnectionConditions(): void;
    saveCondition(): void;
    onClose(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConditionsPopupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConditionsPopupComponent, "lib-conditions-popup", never, { "visible": { "alias": "visible"; "required": false; }; "decisionNodeId": { "alias": "decisionNodeId"; "required": false; }; "newConnectionId": { "alias": "newConnectionId"; "required": false; }; "popupX": { "alias": "popupX"; "required": false; }; "popupY": { "alias": "popupY"; "required": false; }; }, { "closed": "closed"; "saved": "saved"; }, never, never, false, never>;
}
export {};
