import { EventEmitter } from '@angular/core';
import { WorkflowDesignerState } from '../workflow-designer.state';
import * as i0 from "@angular/core";
interface ConnectionCondition {
    connectionId: string;
    sourceNodeId: string;
    targetNodeId: string;
    condition: string;
}
export declare class DecisionPopupComponent {
    private state;
    visible: boolean;
    decisionNodeId: string;
    popupX: number;
    popupY: number;
    closed: EventEmitter<any>;
    showDuration: boolean;
    constructor(state: WorkflowDesignerState);
    getConnectionConditions(): ConnectionCondition[];
    getTargetNodeName(nodeId: string): string;
    getDuration(): number;
    onClose(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DecisionPopupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DecisionPopupComponent, "lib-decision-popup", never, { "visible": { "alias": "visible"; "required": false; }; "decisionNodeId": { "alias": "decisionNodeId"; "required": false; }; "popupX": { "alias": "popupX"; "required": false; }; "popupY": { "alias": "popupY"; "required": false; }; }, { "closed": "closed"; }, never, never, false, never>;
}
export {};
