import { BaseModel } from './base';
import { MessageMedium } from './MessageMedium';
import { PeriodMode } from './PeriodMode';
import { ReportType } from './ReportType';
export interface ReportSchedule extends BaseModel {
    Name: string;
    SenderEmail: string;
    ReportDataSource: string;
    Medium: MessageMedium;
    MessageConfig: string;
    Interval: number;
    MessageType: ReportType;
    DueDate?: Date;
    Frequency: PeriodMode;
    StartDate: Date;
    EndDate?: Date;
    LastRunDate?: Date;
    ReportCode: string;
    PlainMessage: string;
    Recipients: string;
    Subject: string;
}
